import request from '@/utils/request'

// 查询红名单列表
export function list42(query) {
  return request({
    url: '/basicData/xcrTrustworthyIncentive42/findByPage',
    method: 'get',
    params: query
  })
}

// 查询红名单详细
export function get42(xhCodeId) {
  return request({
    url: '/basicData/xcrTrustworthyIncentive42/' + xhCodeId,
    method: 'get'
  })
}

// 新增红名单
export function add42(data) {
  return request({
    url: '/basicData/xcrTrustworthyIncentive42',
    method: 'post',
    data: data
  })
}

// 修改红名单
export function update42(data) {
  return request({
    url: '/basicData/xcrTrustworthyIncentive42',
    method: 'put',
    data: data
  })
}

// 删除红名单
export function del42(xhCodeId) {
  return request({
    url: '/basicData/xcrTrustworthyIncentive42/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function del42Batch(ids) {
  return request.post('/basicData/xcrTrustworthyIncentive42/delete',ids)
}
